Subject: Re: bug#7588: smtpmail: wrong file name for queued mail on Windows

From: Eli Zaretskii <[email-masked]>
Date: Wed, 08 Dec 2010 09:56:13 -0500

> From: Glenn Morris <[email-masked]>
> Date: Tue, 07 Dec 2010 22:32:16 -0500
> Cc: 
> 
> Version: 23.3
> 
> Thanks; fixed.

Thanks, but I don't understand why is such a fix needed.  The code in
question (unless I'm missing something) did this:

	    (let* ((file-data
		    (expand-file-name
		     (format "%s_%i"
			     (format-time-string "%Y-%m-%d_%H:%M:%S")
			     (setq smtpmail-queue-counter
				   (1+ smtpmail-queue-counter)))
		     smtpmail-queue-dir))
		   (file-data (convert-standard-filename file-data))

The call to convert-standard-filename should, on MS-Windows, replace
all characters invalid in a file name with a `!'.  I just tried that
now, on Windows, and it did precisely that.

To the OP: could you please see why this code didn't DTRT for you in
the first place?  According to the bug report, you are using a version
of Emacs post 23.1, and I just verified that 23.1 as released does
have the above fragment.

Thanks.